Autocomplete WooCommerce Orders

Apraksts

Premium | Documentation | Community

Presentation

Install this plugin and automatically complete your WooCommerce orders automatically. This plugin is compatible with WooCommerce 2 and 3+ and works with all major payment providers including PayPal, SagePay and Stripe.

  • Paid orders of virtual products only: orders containing “Virtual” products only will be completed upon successful payment.
  • All paid orders of any product: orders of any product (even physical) will be turned to “Completed” upon successful payment.
  • All orders: each and every order will turn to “Completed” irrespective of the payment status.

Please note that enabling this plugin against all orders can allow the user to access the product before it has been paid for.

WooCommerce Autocomplete Orders Premium

The premium version of WooCommerce Autocomplete Orders plugin offer you a wide range of extra features that allows a full controll of the autocomplete orders process.

  • Autocomplete orders for Direct bank transfer payment method
  • Autocomplete orders for Check payments method
  • Autocomplete orders for Cash on delivery payment method
  • Autocomplete orders for Cash on delivery orders with downloadable products

Uzstādīšana

  1. Upload the plugin\’s folder to the /wp-content/plugins/ directory or install it through the plugin installer
  2. Activate the plugin through the \’Plugins\’ menu in WordPress
  3. Navigate to WooCommerce > Settings > Autocomplete Orders in your Dashboard
  4. Select from the dropdown how you want your orders to be autocompleted
  5. Activate Payment Data Transfer from your seller preferences on PayPal and copy the identity token that will appear into WooCommerce > Settings > Checkout > PayPal > PayPal Identity Token.

BUJ

The plugin is not working

Please test the followings:
1. Navigate to WooCommerce > Settings > Autocomplete Orders and ensure that the mode under Autocomplete Orders is not set to off.
2. Navigate to WooCommerce > Settings > Checkout > PayPal and ensure that your “PayPal Email” is the primary email of your PayPal Account.
3. Activate Payment Data Transfer.

Atsauksmes

11 aprīlis, 2024 2 atbildes
I appreciate these simplet yet functional designs. If you require something as an additional behaviour with no bloat you cannot go wrong.
19 februāris, 2024 1 atbilde
I run this plugin on a few sites and it works great. Thank you for creating it!
8 februāris, 2024 2 atbildes
When asking a relatively simple question they don't ask for required information but redirect to their Facebook DM and they refuse to help unless I give them admin access. Plugins is disabled now and replaced by a code snippet. Update on 8 Feb 2024: Support has seen this review and want to try to give support in the end and now ask for information about plugins. As I've removed the plugin, that's too late now. They also asked to reverse my rating as "it harms the positioning and sustainability of the product". But I've explained that negative stars are not possible. Instead I've given tips how to handle support in a correct way.
Lasīt 119 atsauksmi

Autori un izstrādātāji

“Autocomplete WooCommerce Orders” ir atvērtā pirmkoda programmatūra. Šo spraudni ir veidojuši šādi cilvēki.

Līdzdalībnieki

“Autocomplete WooCommerce Orders” ir tulkots lokalizācijās 8. Paldies tulkotājiem par ieguldījumu.

Tulkot “Autocomplete WooCommerce Orders” savā valodā.

Vai jūs interesē attīstība?

Pārlūkojiet kodu, apmeklējiet SVN krātuvi vai abonējiet attīstības žurnālu, ko izveidojis RSS.

Izmaiņu žurnāls

3.2.1

  • WooCommerce compatibility

3.2.0

  • WooCommerce compatibility

3.1.9

  • FIx PHP errors

3.1.8

  • WooCommerce compatibility

3.1.7

  • WooCommerce compatibility

3.1.6

  • Update portfolio link

3.1.4

  • WooCommerce compatibility

3.1.3

  • WooCommerce compatibility
  • WordPress compatibility

3.1.2

  • WooCommerce compatibility

3.1.1

  • WooCommerce HPOS compatibility
  • WooCommerce COT compatibility

3.1.0

  • PHP errors

3.0.9

  • WooCommerce compatibility

3.0.8

  • WooCommerce compatibility

3.0.6

  • WooCommerce compatibility

3.0.5

  • Composer packages update

3.0.4

  • Composer packages update

3.0.3

  • Composer packages update
  • Language package update

3.0.2

  • Composer packages update
  • WooCommerce compatibility

3.0.0

  • Refactor

2.0.3

  • WooCommerce compatibility

2.0.2

  • WooCommerce compatibility

2.0.1

  • WooCommerce compatibility

2.0.0

  • Premium compatibility

1.6.1

  • WordPress compatibility

1.6.0

  • WooCommerce compatibility

1.5.9

  • WooCommerce compatibility

1.5.8

  • WooCommerce compatibility

1.5.7

  • WooCommerce compatibility

1.5.6

  • WooCommerce compatibility

1.5.5

  • Fixed php error

1.5.4

  • WooCommerce compatibility

1.5.2

  • QuadLayers dashboard widget

1.5.1

  • WordPress compatibility

1.5.0

  • WordPress compatibility

1.4.9

  • WordPress compatibility

1.4.7

  • WordPress compatibility

1.4.6

  • WordPress compatibility

1.4.5

  • WordPress compatibility

1.4.4

  • QuadLayers widget cache

1.4.3

  • WordPress compatibility

1.4.2

  • WordPress compatibility

1.4.1

  • New Telegram add to suggestions tab

1.4.0

  • Fixed php error

1.3.9

  • QuadLayers dashboard widget

1.3.8

  • WordPress compatibility

1.3.7

  • WooCommerce compatibility

1.3.6

  • WooCommerce compatibility

1.3.5

  • WooCommerce compatibility

1.3.4

  • Fixed i18n

1.3.3

  • Fixed i18n

1.3.2

  • New documentation links

1.3.1

  • Fixed bug where plugin didn’t recognise ‘off’ mode

1.3.0

  • Re-worked entire module to make automatically completing orders much more streamlined

1.2.2

  • Added logic back in for automatically completing Virtual orders

1.2.1

  • Reverted some core logic. It looks like this isn’t working for some other gateways. A fix has also been pushed for Virtual orders

1.2.0

  • Altered logic to make sure that only paid (processing/completed) orders are marked

1.1.0

  • Minor information updates and compatibility checks

1.0.0

  • Initial release